﻿@using PagedList;
@using PagedList.Mvc;

@model PagedList.IPagedList<Domain.Entities.Quiz>
@{


    Layout = "~/Views/Shared/_Layout.cshtml";
}

<link rel="stylesheet" href="assets/css/sweetalert.css">



<div class="container-fluid">

    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="instructor-dashboard.html">Home</a></li>
        <li class="breadcrumb-item active"> Quiz Management </li>

    </ol>

    <div class="media align-items-center">
        <div class="media-body">
            <h1 class="page-heading h2"> Quizzes</h1>
            <div class="col-sm-6">
                <form class="navbar-search-form d-none d-md-flex" method="get" action="@Url.Action("Index", "Quiz"  )">
                    <input type="text" class="form-control" name="desc" id="desc" placeholder="Search">
                    <button class="btn" type="submit"><i class="material-icons">search</i></button>
                </form>
            </div>
        </div>
        <div class="media-right">
            <a href="@Url.Action("Create", "Quiz" )" class="btn btn-success">New Quiz <i class="material-icons btn__icon--right">add</i></a>
        </div>

    </div>
    <div class="col-md-9">
        <div class="card-columns">



            @foreach (var item in Model)
            {
                <div class="card">
                    <div class="card-body media">
                        <div class="media-left">
                            <a href="@Url.Action("Details", "Quiz",new { id = item.Id } )">
                                <img src="@Url.Content("~/Content/images/vuejs.png")" alt="Card image cap" class="rounded" width="80">
                            </a>
                        </div>
                        <div class="media-body">

                            @Html.DisplayFor(modelItem => item.Title)
                            <h4 class="card-title mb-0">@Html.DisplayFor(modelItem => item.Description)<a href="instructor-review-quiz.html"></a></h4>
                            <small class="text-muted">25 Completed</small>
                        </div>
                    </div>
                    <div class="card-footer text-center">
                        <a href="instructor-review-quiz.html" class="btn btn-primary btn-sm float-left"><i class="material-icons btn__icon--left">playlist_add_check</i> Point <span class="badge text-primary bg-white btn__icon--right">@Html.DisplayFor(modelItem => item.Score)</span></a>
                        <a href="@Url.Action("Edit", "Quiz",new { id = item.Id } )" class="btn btn-default btn-sm float-right"><i class="material-icons btn__icon--left">edit</i> Edit </a>
                        <a href="@Url.Action("Delete", "Quiz" , new { id = item.Id })" class="btn btn-default btn-sm float-right"><i class="material-icons btn__icon--left">delete</i> Delete </a>






                        @*@Html.ActionLink("Edit", "Edit", new { id = item.Id }) |
                            @Html.ActionLink("Delete", "Delete", new { id = item.Id })*@


                        <div class="clearfix"></div>
                    </div>
                </div>

            }



        </div>

    </div>

    <lu class="pagination pagination-lg">
        @Html.PagedListPager(Model, page => Url.Action("All", new
{ page }), PagedListRenderOptions.OnlyShowFivePagesAtATime)
    </lu>



</div>



